Subject: Re: bug#52569: 29.0.50; Wishlist: There should be a way for packages to handle files without reading them in first

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 20 Dec 2021 10:55:05 +0100

Stefan Kangas <[email-masked]> writes:

>> I'm not sure about images since some image formats are editable,
>> like .svg, .xpm, .ps...  Only .pdf with in doc-view-mode could have
>> this optimization of not loading the whole file.  Also archive files
>> could benefit from this optimization.
>
> This would improve performance, right?  If yes, I think this is sorely
> needed for opening images in Emacs (though there are other things to
> improve as well).

Yes, I think it should improve image performance substantially, but I
haven't done any measurements.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no